<div class="select__group select__group--icon">
  <label *ngIf="mbLabelText != null" class="input__label" [innerHTML]="mbLabelText"></label>
  <div [class]="inputGroupGroupClass">
    <em *ngIf="mbSelectIcon != null" nz-icon [nzType]="mbSelectIcon" nzTheme="outline"></em>
    <nz-tree-select
      class="select__select select__select--one {{mbSelectIcon != null ? 'include__icon' : 'no__icon'}}"
      style="width: 100%"
      [nzNodes]="treeOrg"
      [nzDefaultExpandAll]='isDefaultExpandAll'
      [nzExpandedKeys]="expandKeys"
      [nzShowSearch]="mbShowSearch"
      [nzAllowClear]="mbShowClear"
      [(ngModel)]="itemSelectedValue"
      (ngModelChange)="onChange($event)"
      [nzDisabled]="mbDisable"
      [nzDropdownClassName]="mbDropdownClassName"
      [(nzOpen)]="isOpenOptions"
      [nzPlaceHolder]="mbPlaceholder"
      nzVirtualHeight="300px"
      [nzVirtualItemSize]="38"
      [nzTreeTemplate]="nzTreeTemplate"
      [nzExpandedIcon]="multiExpandedIconTpl"
      [nzShowIcon]="true"
      (nzOpenChange)="openPopup($event)"
      [nzMultiple]="mbIsMultiple"
    ></nz-tree-select>
    <ng-template #multiExpandedIconTpl let-node let-origin="origin">
      <em *ngIf="!origin.isLeaf && !node.isExpanded" nz-icon>
        <svg width="13" height="13" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path
            d="M13 8H8V13C8 13.55 7.55 14 7 14C6.45 14 6 13.55 6 13V8H1C0.45 8 0 7.55 0 7C0 6.45 0.45 6 1 6H6V1C6 0.45 6.45 0 7 0C7.55 0 8 0.45 8 1V6H13C13.55 6 14 6.45 14 7C14 7.55 13.55 8 13 8Z"
            fill="#141ED2"/>
        </svg>

      </em>
      <em *ngIf="!origin.isLeaf && node.isExpanded" nz-icon>
        <svg width="13" height="13" viewBox="0 0 14 2" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M13 2H1C0.45 2 0 1.55 0 1C0 0.45 0.45 0 1 0H13C13.55 0 14 0.45 14 1C14 1.55 13.55 2 13 2Z"
                fill="#141ED2"/>
        </svg>
      </em>
    </ng-template>
    <ng-template #nzTreeTemplate let-node>
      <div *ngIf="node.key === itemSelectedValue; else itemNotSelect"
           class='tree-select-item'>
        {{node.title}}
      </div>
      <ng-template #itemNotSelect>
        <div *ngIf="(treeSelectComponent?.nzSelectSearchComponent.value != '' && node.title.toLowerCase().includes(treeSelectComponent?.nzSelectSearchComponent.value?.toLowerCase())); else element">
        <span class='tree-search-item'>
          {{node.title}}
        </span>
        </div>
        <ng-template #element >
          <span>{{node.title}}</span>
        </ng-template>
      </ng-template>
    </ng-template>
  </div>
  <div *ngIf="textMessageValue != null && mbShowError" [class]="inputMessageClass">
    <em *ngIf="mbShowIconMessage" nz-icon [nzType]="iconType" nzTheme="outline"></em>
    <span class="text__message">{{textMessageValue}}</span>
  </div>
</div>
